As an iOS 9 user with a 6S or 6S Plus I want to use force touch to see previews of articles from the article view
Closed, ResolvedPublic5 Story Points

Description

Implement peek-n-pop for links in article views for user 3d touch

Design


Use standard peek and pop specs
Image, title, wikidata description and text all use spec for cards in explore feed.

JMinor created this task.Oct 7 2015, 10:25 PM
JMinor updated the task description. (Show Details)
JMinor raised the priority of this task from to Normal.
JMinor added a subscriber: JMinor.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 10:25 PM
KHammerstein set Security to None.
BGerstle-WMF added subscribers: Fjalapeno, Mhurd.EditedOct 9 2015, 1:31 PM

@KHammerstein not sure if you've tried yet, but I'd imagine we'd want this to look somewhat similar to how mobile web would behave in Safari on an iPhone 6S(+). @Fjalapeno @Mhurd have you tried this yet? My main thought is that our app should be as good or better than Safari's link preview UX.

@JMinor this should be ready for estimation

Nirzar added a subscriber: Nirzar.Oct 13 2015, 5:44 AM

v1 please implement a webview based preview so we can see it, then we can consider native custom design.

Possible approaches:

  • Use prelim Touch JS API to detect force touches
  • Detect "last touched" element on the webview using trad'l "onclick" events, and query it from native on peek gesture
Mhurd added a comment.Oct 15 2015, 7:17 PM

"In web views, you can enable peek and pop for links and for detected data using the new allowsLinkPreview property. In iOS 9, this property is available in the recommended WKWebView class (in the WebKit framework) and in the older UIWebView class (in the UIKit framework)."

https://developer.apple.com/library/ios/documentation/UserExperience/Conceptual/Adopting3DTouchOniPhone/3DTouchAPIs.html#//apple_ref/doc/uid/TP40016543-CH4-SW1

Mhurd claimed this task.

Checked with 5.0.0 (474) on iPhone 6S+ 9.1 - the app crashes when any link is 3D-touched.

@Mhurd and I were not able to recreate this using the current build on his iPhone 6S+. We can also check the HockeyApp reports, but will need to recreate before we can address.

Checked with 5.0.0 (492) on iPhone 6S+ 9.1

The general look is like in the screenshot ( it is for 3d-touched action on a link but it looks exactly the same for any action 3d-touche resulting ). I guess that "Save for later" and "Share" have been disacarded?

What's checked - from Home page/Saved pages/Recent/Article :

  • Save for later (the label with the bookmark icon)
  • links
  • wikidata descriptions
  • article's title
JMinor updated the task description. (Show Details)Nov 18 2015, 8:08 PM
JMinor closed this task as Resolved.

Confirming that we dropped the Share and Save actions for v1. I will file a separate follow-on to implement those actions.